package com.ruoyi.ss.balancePeriod.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 余额时段记录对象 sm_balance_period
 *
 * @author ruoyi
 * @date 2024-03-16
 */
@Data
public class SmBalancePeriod extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户总余额 */
    @Excel(name = "用户总余额")
    private BigDecimal userBalance;

    /** 平台总余额 */
    @Excel(name = "平台总余额")
    private BigDecimal platformBalance;

    /** 充值金额 */
    @Excel(name = "充值金额")
    private BigDecimal recharge;
}
