package com.ruoyi.ss.bonus.service;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.ss.bonus.domain.Bonus;
import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.transactionBill.domain.bo.RechargeBO;
import com.ruoyi.ss.transactionBill.domain.dto.RechargePayBO;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;
import com.ruoyi.ss.user.domain.SmUserVo;

import java.util.List;

/**
 * @author wjh
 * 2024/8/20
 */
public interface BonusConverter {

    /**
     * 支付转为分成明细
     */
    List<Bonus> toPo(RechargePayBO bo);

    /**
     * 订单转为分成明细
     */
    List<Bonus> toPo(RechargeBO bo);

    /**
     * 生成分成列表
     *
     * @param mch
     * @param agent
     * @param platform
     * @param device
     * @return
     */
    List<Bonus> genBonusList(SmUserVo mch, SmUserVo agent, SysDept platform, DeviceVO device);

    /**
     * 旧订单转为分成明细
     */
    List<Bonus> toPo(TransactionBillVO bill);

}
